[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TObject.MethodAddress

Return the address of a method

## Declaration

Source position: objpash.inc line 213

`public class function TObject.MethodAddress(`
`const name: shortstring`
`):pointer;`

## Description

MethodAddress returns the address of a method, searching the method by its name. The Name parameter specifies which method should be taken. The search is conducted in a case-insensitive manner.

## Errors

If no matching method is found, Nil is returned.

## See also

MethodName |  | Return the name of a method.
FieldAddress |  | Return the address of a field.

Documentation generated on: Feb 26 2014